# -*- coding: utf-8 -*-
# Generated by Django 1.11.17 on 2018-12-10 01:02
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import uuid


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('test_utils', '0002_delete_testtag'),
    ]

    operations = [
        migrations.CreateModel(
            name='TestAnnotation',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('entry', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField(blank=True)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TestTag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=140)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TestTask',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[(b'pending', b'Pending'), (b'deleted', b'Deleted'), (b'completed', b'Completed'), (b'waiting', b'Waiting'), (b'recurring', b'Recurring')], default=b'pending', max_length=9)),
                ('uuid', models.UUIDField(default=uuid.uuid4, unique=True)),
                ('entry', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField()),
                ('start', models.DateTimeField(blank=True, null=True)),
                ('end', models.DateTimeField(blank=True, null=True)),
                ('due', models.DateTimeField(blank=True, null=True)),
                ('until', models.DateTimeField(blank=True, null=True)),
                ('scheduled', models.DateTimeField(blank=True, null=True)),
                ('wait', models.DateTimeField(blank=True, null=True)),
                ('recur', models.CharField(blank=True, max_length=20)),
                ('parent', models.UUIDField(blank=True, null=True)),
                ('project', models.CharField(blank=True, max_length=50)),
                ('priority', models.CharField(blank=True, choices=[(b'H', b'High'), (b'M', b'Medium'), (b'L', b'Low')], default=b'', max_length=1)),
                ('depends', models.CharField(blank=True, max_length=200)),
                ('tags', models.ManyToManyField(blank=True, to='test_utils.TestTag')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TestTaskdUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('uuid', models.UUIDField(unique=True)),
                ('username', models.CharField(blank=True, max_length=140)),
                ('certificate', models.TextField(blank=True)),
                ('key', models.TextField(blank=True)),
                ('group', models.CharField(default=b'Public', max_length=120)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='TestTaskNoRelations',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('status', models.CharField(choices=[(b'pending', b'Pending'), (b'deleted', b'Deleted'), (b'completed', b'Completed'), (b'waiting', b'Waiting'), (b'recurring', b'Recurring')], default=b'pending', max_length=9)),
                ('uuid', models.UUIDField(default=uuid.uuid4, unique=True)),
                ('entry', models.DateTimeField(auto_now_add=True)),
                ('description', models.TextField()),
                ('start', models.DateTimeField(blank=True, null=True)),
                ('end', models.DateTimeField(blank=True, null=True)),
                ('due', models.DateTimeField(blank=True, null=True)),
                ('until', models.DateTimeField(blank=True, null=True)),
                ('scheduled', models.DateTimeField(blank=True, null=True)),
                ('wait', models.DateTimeField(blank=True, null=True)),
                ('recur', models.CharField(blank=True, max_length=20)),
                ('parent', models.UUIDField(blank=True, null=True)),
                ('project', models.CharField(blank=True, max_length=50)),
                ('priority', models.CharField(blank=True, choices=[(b'H', b'High'), (b'M', b'Medium'), (b'L', b'Low')], default=b'', max_length=1)),
                ('depends', models.CharField(blank=True, max_length=200)),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.AddField(
            model_name='testannotation',
            name='task',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='test_utils.TestTask'),
        ),
    ]
